Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface Member

All Superinterfaces:
  Decorator, Displayable, Expression, PropertyHolder, Visitable

All Known Subinterfaces:
  MDXMember

All Known Implementing Classes:
  MemberImpl, MondrianMember, TestMember, XMLA_Member

    public interface Member

extends Expression, PropertyHolder, Visitable, Displayable, Decorator

OLAP Member. Member may have properties, e.g. a customer may have a phone number.

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Method Summary
`boolean` | `equals(java.lang.Object other)` allows to compare members from the current result and the previous result.
`Level` | `getLevel()` get the level to which this member belongs.
`int` | `getRootDistance()` returns the distance from the root member of the hierarchy.
`boolean` | `isAll()`
`boolean` | `isCalculated()` an OLAP Member may be calculated i.e. derived from original members

Methods inherited from interface com.tonbeller.jpivot.olap.model.PropertyHolder
`getProperties, getProperty`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`getLabel`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Decorator
`getRootDecoree`

Method Detail

### getRootDistance

    int getRootDistance()

  returns the distance from the root member of the hierarchy. This is used to compute indentation.

  Returns:
    0 for the root member(s), > 0 else

### getLevel

    Level getLevel()

  get the level to which this member belongs.

  Returns:
    not null

### equals

    boolean equals(java.lang.Object other)

  allows to compare members from the current result and the previous result.

  Overrides:
    `equals` in class `java.lang.Object`

### isAll

    boolean isAll()

  Returns:
    true, if the member is an "All" member

### isCalculated

    boolean isCalculated()

  an OLAP Member may be calculated i.e. derived from original members

  Returns:
    true,if the member is calculated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD